/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.swt.graphics;

import org.eclipse.swt.*;

public final class Region extends Resource {

public Region () {
	super ();
}

public Region (Device device) {
}

public void add (int[] pointArray) {
}

public void add (Rectangle rect) {
}

public void add (int x, int y, int width, int height) {
}

public void add (Region region) {
}

public boolean contains (int x, int y) {
	return false;
}

public boolean contains (Point pt) {
	return false;
}

void destroy () {
}

public boolean equals (Object object) {
	return false;
}

public Rectangle getBounds () {
	return null;
}

public int hashCode () {
	return 0;
}

public void intersect (Rectangle rect) {
}

public void intersect (int x, int y, int width, int height) {
}

public void intersect (Region region) {
}

public boolean intersects (int x, int y, int width, int height) {
	return false;
}

public boolean intersects (Rectangle rect) {
	return false;
}

public boolean isDisposed () {
	return false;
}

public boolean isEmpty () {
	return false;
}

public void subtract (int[] pointArray) {
}

public void subtract (Rectangle rect) {
}

public void subtract (int x, int y, int width, int height) {
}

public void subtract (Region region) {
}

public void translate (int x, int y) {
}

public void translate (Point pt) {
}

public String toString () {
	return "";
}

public static Region win32_new (Device device, int handle) {
	return null;
}

}
